<?php

function _translator_inputpage_fr(&$target) {
    $target = array(
        // 
        /* date format: year month day, specify order from 1 to 3, eg. 19/01/1961 => 3 2 1, 2002/31/12 => 1 3 2 */
        '3 1 2'
        => '3 2 1',

        // 
        'A ZIP code is an optional country selector (such as \'DE-\') followed by a natural number of at least 4 digits.'
        => 'Un code postal est un code pays optionnel (p.ex.\'DE-\') suivi d\'un nombre naturel d\'au moins 4 chiffres.',

        // 
        'A digit string consists of one or more digits.'
        => 'Un nombre est composé d\'un ou de plusieurs chiffres.',

        // 
        'A natural number consists of an optional sign followed by one or more digits.'
        => 'Un nombre naturel possède un signe optionnel suivi d\'un ou de plusieurs chiffres.',

        // 
        'A phone number starts with an optional \'+\' followed by digits with decoration such as \'/()- \'.'
        => 'Un numéro de téléphone commence par un \'+\' optionnel suivi de chiffres et caractères de séparation tels que \'/()- \' ',

        // 
        'Afghanistan'
        => 'Afghanistan',

        // 
        'Aland Islands'
        => 'Îles Åland',

        // 
        'Albania'
        => 'Albanie',

        // 
        'Algeria'
        => 'Algérie',

        // 
        'American Samoa'
        => 'Samoa américaines',

        // 
        'An IP address looks like 0.0.0.0 till 255.255.255.255'
        => 'Une adresse IP à une valeur entre 0.0.0.0 et 255.255.255.255',

        // 
        'An email is something like \'joe.user@name.tld\', no extra names such as in \'Joe User <joe.user@name.tld>\' please.'
        => 'Un e-mail ressemble à \'joe.user@name.tld\', sans noms supplémentaires comme dans \'Joe User <joe.user@name.tld>.\'',

        // 
        'Andorra'
        => 'Andorre',

        // 
        'Angola'
        => 'Angola',

        // 
        'Anguilla'
        => 'Anguilla',

        // 
        'Antigua and Barbuda'
        => 'Antigua-et-Barbuda',

        // 
        'April'
        => 'Avril',

        // 
        'Argentina'
        => 'Argentine',

        // 
        'Armenia'
        => 'Arménie',

        // 
        'Aruba'
        => 'Aruba',

        // 
        'August'
        => 'Août',

        // 
        'Australia'
        => 'Australie',

        // 
        'Austria'
        => 'Autriche',

        // 
        'Azerbaijan'
        => 'Azerbaïdjan',

        // 
        'Azores'
        => 'Açores',

        // 
        'Bahamas'
        => 'Bahamas',

        // 
        'Bahrain'
        => 'Bahreïn',

        // 
        'Bali'
        => 'Bali',

        // 
        'Bangladesh'
        => 'Bangladesh',

        // 
        'Barbados'
        => 'La Barbade',

        // 
        'Belarus'
        => 'Biélorussie',

        // 
        'Belgium'
        => 'Belgique',

        // 
        'Belize'
        => 'Bélize',

        // 
        'Benin'
        => 'Bénin',

        // 
        'Bermuda'
        => 'Bermudes',

        // 
        'Bhutan'
        => 'Bhutan',

        // 
        'Bolivia, Plurinational State of'
        => 'Bolivie (État plurinational)',

        // 
        'Bosnia and Herzegovina'
        => 'Bosnie-Herzégovine',

        // 
        'Botswana'
        => 'Botswana',

        // 
        'Bouvet Island'
        => 'Île Bouvet',

        // 
        'Brazil'
        => 'Brésil',

        // 
        'British Indian Ocean Territory'
        => 'Territoire britannique de l\'océan Indien',

        // 
        'Brunei Darussalam'
        => 'Brunéi Darussalam',

        // 
        'Bulgaria'
        => 'Bulgarie',

        // 
        'Burkina Faso'
        => 'Burkina Faso',

        // 
        'Burundi'
        => 'Burundi',

        // 
        'Calendar'
        => 'Calendrier',

        // 
        'Cambodia'
        => 'Cambodge',

        // 
        'Cameroon'
        => 'Cameroun',

        // 
        'Canada'
        => 'Canada',

        // 
        'Canary Islands'
        => 'Les Canaries',

        // 
        'Cape Verde'
        => 'Cap-Vert',

        // 
        'Cayman Islands'
        => 'Îles Caïmans',

        // 
        'Central African Republic'
        => 'République Centrafricaine',

        // 
        'Chad'
        => 'Tchad',

        // 
        'Check if you agree.'
        => 'Cochez ici si vous êtes d\'accord',

        // 
        'Chile'
        => 'Chili',

        // 
        'China'
        => 'Chine',

        // 
        'Christmas Island'
        => 'Île Christmas',

        // 
        'Christmas Island (Australia)'
        => 'Île Christmas (Australie)',

        // 
        'Click column header to reverse sort order.'
        => 'Cliquer en tête de colonne pour modifier l\'ordre de classement.',

        // 
        'Click column header to sort.'
        => 'Cliquer en tête de colonne pour le classement.',

        // 
        'Cocos (Keeling) Islands'
        => 'Îles Cocos (Keeling)',

        // 
        'Cocos Island'
        => 'Île Cocos',

        // 
        'Colombia'
        => 'Colombie',

        // 
        'Comoros'
        => 'Comores',

        // 
        'Congo, the Democratic Republic of the'
        => 'Congo, République démocratique du',

        // 
        'Congo, the Republic of'
        => 'Congo, République du',

        // 
        'Cook Islands'
        => 'Îles Cook',

        // 
        'Corsica'
        => 'Corse',

        // 
        'Costa Rica'
        => 'Costa Rica',

        // 
        'Cote d\'Ivoire'
        => 'Côte d\'Ivoire',

        // 
        'Croatia'
        => 'Croatie',

        // 
        'Cuba'
        => 'Cuba',

        // 
        'Cyprus'
        => 'Chypre',

        // 
        'Czech Republic'
        => 'République Tchèque',

        // 
        'December'
        => 'Décembre',

        // 
        'Denmark'
        => 'Danemark',

        // 
        'Djibouti'
        => 'Djibouti',

        // 
        'Dominica'
        => 'Dominique',

        // 
        'Dominican Republic'
        => 'République dominicaine',

        // 
        'Ecuador'
        => 'Équateur',

        // 
        'Egypt'
        => 'Égypte',

        // 
        'El Salvador'
        => 'Salvador',

        // 
        'Enter \'{$arg[1]}\' here.'
        => 'Entrer \'{$arg[1]}\' ici.',

        // 
        'Enter a date like month/day/year.'
        => 'Entrer une date au format Jour.Mois.Année.',

        // 
        'Enter your text here.'
        => 'Entrez ici votre texte.',

        // 
        'Equatorial Guinea'
        => 'Guinée Équatoriale',

        // 
        'Eritrea'
        => 'Érythrée',

        // 
        'Estonia'
        => 'Estonie',

        // 
        'Ethiopia'
        => 'Éthiopie',

        // 
        'Falkland Islands'
        => 'Îles Malouines',

        // 
        'Falkland Islands (Malvinas)'
        => 'Îles Malouines',

        // 
        'Faroe Islands'
        => 'Îles Féroé',

        // 
        'February'
        => 'Février',

        // 
        'Fiji'
        => 'Fidji',

        // 
        'Finland'
        => 'Finlande',

        // 
        'France'
        => 'France',

        // 
        'French Guiana'
        => 'Guyane française',

        // 
        'French Polynesia'
        => 'Polynésie française',

        // 
        'French Southern Territories'
        => 'Terres australes et antarctiques françaises',

        // 
        'Friday'
        => 'Vendredi',

        // 
        'Gabon'
        => 'Gabon',

        // 
        'Gambia'
        => 'Gambie',

        // 
        'Georgia'
        => 'Géorgie',

        // 
        'Germany'
        => 'Allemagne',

        // 
        'Ghana'
        => 'Ghana',

        // 
        'Gibraltar'
        => 'Gibraltar',

        // 
        'Go to bottom'
        => 'Aller à la fin',

        // 
        'Go to top'
        => 'Aller au début',

        // 
        'Greece'
        => 'Grèce',

        // 
        'Greenland'
        => 'Groenland',

        // 
        'Grenada'
        => 'Grenada',

        // 
        'Guadeloupe'
        => 'Guadeloupe',

        // 
        'Guam'
        => 'Guam',

        // 
        'Guatemala'
        => 'Guatemala',

        // 
        'Guinea'
        => 'Guinée',

        // 
        'Guinea-Bissau'
        => 'Guinée-Bissau',

        // 
        'Guyana'
        => 'Guyane',

        // 
        'Haiti'
        => 'Haïti',

        // 
        'Heard Island and McDonald Islands'
        => 'Îles Heard-et-McDonald',

        // 
        'Holy See (Vatican City State)'
        => 'Saint-Siège (État de la Cité du Vatican)',

        // 
        'Honduras'
        => 'Honduras',

        // 
        'Hong Kong'
        => 'Hong Kong',

        // 
        'Hungary'
        => 'Hongrie',

        // 
        'Iceland'
        => 'Islande',

        // 
        'India'
        => 'Inde',

        // 
        'Indonesia'
        => 'Indonésie',

        // 
        'Iran, Islamic Republic of'
        => 'Iran, République Islamique d\'',

        // 
        'Iraq'
        => 'Iraq',

        // 
        'Ireland'
        => 'Irlande',

        // 
        'Israel'
        => 'Israël',

        // 
        'Italy'
        => 'Italie',

        // 
        'Jamaica'
        => 'Jamaïque',

        // 
        'January'
        => 'Janvier',

        // 
        'Japan'
        => 'Japon',

        // 
        'Jordan'
        => 'Jordanie',

        // 
        'July'
        => 'Juillet',

        // 
        'June'
        => 'Juin',

        // 
        'Kazakhstan'
        => 'Kazakhstan',

        // 
        'Kenya'
        => 'Kenya',

        // 
        'Kiribati'
        => 'Kiribati',

        // 
        'Korea, Republic of'
        => 'Corée, République de',

        // 
        'Kosovo'
        => 'Kosovo',

        // 
        'Kuwait'
        => 'Koweït',

        // 
        'Kyrgyzstan'
        => 'Kirghizistan',

        // 
        'Lao People\'s Democratic Republic'
        => 'Laos (République démocratique populaire lao)',

        // 
        'Latvia'
        => 'Lettonie',

        // 
        'Lebanon'
        => 'Liban',

        // 
        'Lesotho'
        => 'Lesotho',

        // 
        'Liberia'
        => 'Libéria',

        // 
        'Libyan Arab Jamahiriya'
        => 'Jamahiriya arabe libyenne',

        // 
        'Liechtenstein'
        => 'Liechtenstein',

        // 
        'Lithuania'
        => 'Lithuanie',

        // 
        'Luxembourg'
        => 'Luxembourg',

        // 
        'Macao'
        => 'Macao',

        // 
        'Macedonia, the former Yugoslav Republic of'
        => 'Macédoine, ancienne République yougoslave de',

        // 
        'Madagascar'
        => 'Madagascar',

        // 
        'Madeira'
        => 'Madère',

        // 
        'Malawi'
        => 'Malawi',

        // 
        'Malaysia'
        => 'Malaisie',

        // 
        'Maldives'
        => 'Maldives',

        // 
        'Mali'
        => 'Mali',

        // 
        'Malta'
        => 'Malte',

        // 
        'March'
        => 'Mars',

        // 
        'Marshall Islands'
        => 'Îles Marshall',

        // 
        'Martinique'
        => 'Martinique',

        // 
        'Mauritania'
        => 'Mauritanie',

        // 
        'Mauritius'
        => 'Île Maurice',

        // 
        'May'
        => 'Mai',

        // 
        'Mayotte'
        => 'Mayotte',

        // 
        'Mexico'
        => 'Mexique',

        // 
        'Micronesia'
        => 'Micronésie',

        // 
        'Micronesia, Federated States of'
        => 'Micronésie, États fédérés de',

        // 
        'Missing upload file'
        => 'Fichier Upload manquant',

        // 
        'Moldova, Republic of'
        => 'Moldavie, République de',

        // 
        'Monaco'
        => 'Monaco',

        // 
        'Monday'
        => 'Lundi',

        // 
        'Mongolia'
        => 'Mongolie',

        // 
        'Montenegro'
        => 'Monténégro',

        // 
        'Montserrat'
        => 'Montserrat',

        // 
        'Morocco'
        => 'Maroc',

        // 
        'Mozambique'
        => 'Mozambique',

        // 
        'Myanmar'
        => 'Myanmar',

        // 
        'Namibia'
        => 'Namibie',

        // 
        'Nauru'
        => 'Nauru',

        // 
        'Nepal'
        => 'Népal',

        // 
        'Netherlands'
        => 'Pays-Bas',

        // 
        'Netherlands Antilles'
        => 'Antilles néerlandaises',

        // 
        'New Caledonia'
        => 'Nouvelle-Calédonie',

        // 
        'New Zealand'
        => 'Nouvelle-Zélande',

        // 
        'Nicaragua'
        => 'Nicaragua',

        // 
        'Niger'
        => 'Niger',

        // 
        'Nigeria'
        => 'Nigéria',

        // 
        'Niue'
        => 'Niué',

        // 
        'None'
        => 'Aucun',

        // 
        'Norfolk Island'
        => 'Île Norfolk',

        // 
        'Northern Mariana Islands'
        => 'Îles Mariannes du Nord',

        // 
        'Norway'
        => 'Norvège',

        // 
        'November'
        => 'Novembre',

        // 
        'October'
        => 'Octobre',

        // 
        'Oman'
        => 'Oman',

        // 
        'Page down'
        => 'Bas de la page',

        // 
        'Page up'
        => 'Haut de la page',

        // 
        'Pakistan'
        => 'Pakistan',

        // 
        'Palau'
        => 'Palaos',

        // 
        'Palestinian Territory, Occupied'
        => 'Territoire Palestinien (Occupé)',

        // 
        'Panama'
        => 'Panama',

        // 
        'Papua New Guinea'
        => 'Papouasie Nouvelle Guinée',

        // 
        'Paraguay'
        => 'Paraguay',

        // 
        'Peru'
        => 'Pérou',

        // 
        'Philippines'
        => 'Philippines',

        // 
        'Pitcairn'
        => 'Îles Pitcairn',

        // 
        'Please enter a ZIP code her.'
        => 'Veuillez entrer un code postal.',

        // 
        'Please enter a digit string here.'
        => 'Veuillez entrer une séquence de chiffres.',

        // 
        'Please enter a natural number here.'
        => 'Veuillez entrer un nombre naturel.',

        // 
        'Please enter a non-empty string here, minimum {$arg[1]} chars.'
        => 'Veuillez entrer une séquence de signes non vide, au moins {$arg[1]} caractères.',

        // 
        'Please enter a non-empty string here.'
        => 'Veuillez entrer une chaîne de caractères non vide',

        // 
        'Please enter a valid date.'
        => 'Veuillez entrer une date valide.',

        // 
        'Please enter a valid email address here.'
        => 'Veuillez entrer une adresse e-mail valide.',

        // 
        'Please enter only IP addresses here.'
        => 'Veuillez n\'entrez ici que des adresses IP.',

        // 
        'Please enter only telephone numbers here.'
        => 'Veuillez n\'entrer ici que des numéros de téléphone.',

        // 
        'Please select at least one of the choices!'
        => 'Veuillez choisir au moins une option !',

        // 
        'Please select one of the choices!'
        => 'Veuillez choisir une option !',

        // 
        'Poland'
        => 'Pologne',

        // 
        'Portugal'
        => 'Portugal',

        // 
        'Puerto Rico'
        => 'Porto Rico',

        // 
        'Qatar'
        => 'Qatar',

        // 
        'Retyped password does not match your first password.'
        => 'Le mot de passe répété ne correspond pas à votre premier mot de passe.',

        // 
        'Reunion'
        => 'Île de la Réunion',

        // 
        'Romania'
        => 'Roumanie',

        // 
        'Russian Federation'
        => 'Russie, Fédération de',

        // 
        'Rwanda'
        => 'Rwanda',

        // 
        'Saint Helena, Ascension and Tristan da Cunha'
        => 'Sainte-Hélène, Ascension et Tristan da Cunha',

        // 
        'Saint Kitts and Nevis'
        => 'Saint-Christophe-et-Niévès',

        // 
        'Saint Lucia'
        => 'Sainte-Lucie',

        // 
        'Saint Martin (French part)'
        => 'Saint-Martin (partie française)',

        // 
        'Saint Pierre and Miquelon'
        => 'Saint-Pierre-et-Miquelon',

        // 
        'Saint Vincent and the Grenadines'
        => 'Saint-Vincent-et-les-Grenadines',

        // 
        'Samoa'
        => 'Samoa',

        // 
        'San Marino'
        => 'Saint-Marin',

        // 
        'Sao Tome and Principe'
        => 'Sao Tomé-et-Principe',

        // 
        'Saturday'
        => 'Samedi',

        // 
        'Saudi Arabia'
        => 'Arabie Saoudite',

        // 
        'Select \'{$arg[1]}\' here.'
        => 'Sélectionner \'{$arg[1]}\' ici.',

        // 
        'Select a valid country'
        => 'Sélectionnez un pays valide',

        // 
        'Senegal'
        => 'Sénégal',

        // 
        'September'
        => 'Septembre',

        // 
        'Serbia'
        => 'Serbie',

        // 
        'Seychelles'
        => 'Seychelles',

        // 
        'Show current month'
        => 'Affiche le mois courant',

        // 
        'Sierra Leone'
        => 'Sierra Leone',

        // 
        'Singapore'
        => 'Singapour',

        // 
        'Slovakia'
        => 'Slovaquie',

        // 
        'Slovenia'
        => 'Slovénie',

        // 
        'Solomon Islands'
        => 'Îles Salomon',

        // 
        'Somalia'
        => 'Somalie',

        // 
        'South Africa'
        => 'Afrique du Sud',

        // 
        'South Georgia and the South Sandwich Islands'
        => 'Géorgie du Sud-et-les Îles Sandwich du Sud',

        // 
        'South Korea'
        => 'Corée du Sud',

        // 
        'Spain'
        => 'Espagne',

        // 
        'Sri Lanka'
        => 'Sri Lanka',

        // 
        'Sudan'
        => 'Soudan',

        // 
        'Sunday'
        => 'Dimanche',

        // 
        'Suriname'
        => 'Surinam',

        // 
        'Svalbard and Jan Mayen'
        => 'Svalbard et Jan Mayen',

        // 
        'Swaziland'
        => 'Swaziland',

        // 
        'Sweden'
        => 'Suède',

        // 
        'Switzerland'
        => 'Suisse',

        // 
        'Syrian Arab Republic'
        => 'République Arabe Syrienne',

        // 
        'Taiwan'
        => 'Taïwan',

        // 
        'Tajikistan'
        => 'Tadjikistan',

        // 
        'Tanzania, United Republic of'
        => 'Tanzanie, République unie de',

        // 
        'Thailand'
        => 'Thaïlande',

        // 
        'Thursday'
        => 'Jeudi',

        // 
        'Timor-Leste'
        => 'Timor oriental',

        // 
        'Togo'
        => 'Togo',

        // 
        'Tokelau'
        => 'Tokelau',

        // 
        'Tonga'
        => 'Tonga',

        // 
        'Trinidad and Tobago'
        => 'Trinité-et-Tobago',

        // 
        'Tuesday'
        => 'Mardi',

        // 
        'Tunisia'
        => 'Tunisie',

        // 
        'Turkey'
        => 'Turquie',

        // 
        'Turkmenistan'
        => 'Turkménistan',

        // 
        'Turks and Caicos Islands'
        => 'Iles Turques-et-Caïques',

        // 
        'Tuvalu'
        => 'Tuvalu',

        // 
        'UK'
        => 'Royaume-Uni',

        // 
        'Uganda'
        => 'Ouganda',

        // 
        'Ukraine'
        => 'Ukraine',

        // 
        'United Arab Emirates'
        => 'Émirats Arabes Unis',

        // 
        'United States'
        => 'États-Unis',

        // 
        'United States Minor Outlying Islands'
        => 'Îles mineures éloignées des États-Unis',

        // 
        'Uruguay'
        => 'Uruguay',

        // 
        'Uzbekistan'
        => 'Ouzbékistan',

        // 
        'Vanuatu'
        => 'Vanuatu',

        // 
        'Venezuela, Bolivarian Republic of'
        => 'Venezuela, République bolivarienne du',

        // 
        'Vietnam'
        => 'Vietnam',

        // 
        'Virgin Islands, British'
        => 'Îles Vierges britanniques',

        // 
        'Virgin Islands, U.S.'
        => 'Îles Vierges américaines',

        // 
        'Wallis and Futuna'
        => 'Wallis-et-Futuna',

        // 
        'Wednesday'
        => 'Mercredi',

        // 
        'Western Sahara'
        => 'Sahara occidental',

        // 
        'Year'
        => 'Année',

        // 
        'Yemen'
        => 'Yémen',

        // 
        'You need to confirm this.'
        => 'Vous devez confirmer cela.',

        // 
        'Your browser can\'t show embedded frames, but you can open the embedded site by following <a href=\'{$arg[1]}\' target=\'_blank\'>this link</a>'
        => 'Votre navigateur ne peut pas afficher embedded frames, mais vous pouvez ouvrir la page en suivant <a href=\'{$arg[1]}\' target=\'_blank\'>ce lien</a>',

        // 
        'Zambia'
        => 'Zambie',

        // 
        'Zimbabwe'
        => 'Zimbabwe',

        // 
        '\'{$arg[1]}\' doesn\'t look like a valid email address!'
        => '\'{$arg[1]}\' ne ressemble pas à une adresse e-mail valide !',

        // 
        /* date format, args are 1: year, 2: month, 3: day */
        '{$arg[2]}/{$arg[3]}/{$arg[1]}'
        => '{$arg[3]}.{$arg[2]}.{$arg[1]}',

        // 
        'Add new line'
        => 'Ajouter une nouvelle ligne',

        // 
        'Enter your password'
        => 'Entrez votre mot de passe',

        // 
        'Enter your search'
        => 'Entrez votre recherche',

        // 
        'Remove this line'
        => 'Enlever cette ligne',

        // 
        'Saint Barthélemy'
        => 'Saint Barthélemy',

        // 
        'e.g.'
        => 'p.ex.',

    );
}

?>