<?php

function _translator_inputpage_cs(&$target) {
    $target = array(
        // 
        /* date format: year month day, specify order from 1 to 3, eg. 19/01/1961 => 3 2 1, 2002/31/12 => 1 3 2 */
        '3 1 2'
        => '3 2 1',

        // 
        'A ZIP code is an optional country selector (such as \'DE-\') followed by a natural number of at least 4 digits.'
        => 'PSČ je volitelný rozlišovací parametr země (např. "CZ-"), následovaný předčíslím s minimálně 4.čislicemi. ',

        // 
        'A digit string consists of one or more digits.'
        => 'Číselná řada se skládá z jedné nebo více čislíc. ',

        // 
        'A natural number consists of an optional sign followed by one or more digits.'
        => 'Předčíslí může obsahovat volitelné znaky následované jednou nebo více číslicemi. ',

        // 
        'A phone number starts with an optional \'+\' followed by digits with decoration such as \'/()- \'.'
        => 'Telefonní číslo začíná volitelným znakem \'+\', následují číslice s oddělovačí jako \'/()-\'.',

        // 
        'Afghanistan'
        => 'Afghánistán',

        // 
        'Aland Islands'
        => 'Alandské ostrovy',

        // 
        'Albania'
        => 'Albánie ',

        // 
        'Algeria'
        => 'Alžírsko',

        // 
        'American Samoa'
        => 'Americká Samoa',

        // 
        'An IP address looks like 0.0.0.0 till 255.255.255.255'
        => 'IP adresa je tvaru 0.0.0.0 až 255.255.255.255',

        // 
        'An email is something like \'joe.user@name.tld\', no extra names such as in \'Joe User <joe.user@name.tld>\' please.'
        => 'Tvar emailové adresy je \'joe.user@name.tld\', nedoplňujte prosím další jména jako \'Joe User <joe.user@name.tld>\'.',

        // 
        'Andorra'
        => 'Andorra',

        // 
        'Angola'
        => 'Angola',

        // 
        'Anguilla'
        => 'Anguilla',

        // 
        'Antigua and Barbuda'
        => 'Antigua a Barbuda',

        // 
        'April'
        => 'Duben',

        // 
        'Argentina'
        => 'Argentina',

        // 
        'Armenia'
        => 'Arménie',

        // 
        'Aruba'
        => 'Aruba',

        // 
        'August'
        => 'Srpen',

        // 
        'Australia'
        => 'Austrálie',

        // 
        'Austria'
        => 'Rakousko',

        // 
        'Azerbaijan'
        => 'Ázerbajdžán',

        // 
        'Azores'
        => 'Azory',

        // 
        'Bahamas'
        => 'Bahamské ostrovy',

        // 
        'Bahrain'
        => 'Bahrajn',

        // 
        'Bali'
        => 'Bali',

        // 
        'Bangladesh'
        => 'Bangladéš',

        // 
        'Barbados'
        => 'Barbados',

        // 
        'Belarus'
        => 'Běloruská republika',

        // 
        'Belgium'
        => 'Belgie',

        // 
        'Belize'
        => 'Belize',

        // 
        'Benin'
        => 'Benin',

        // 
        'Bermuda'
        => 'Bermudy',

        // 
        'Bhutan'
        => 'Bhútán',

        // 
        'Bolivia, Plurinational State of'
        => 'Mnohonárodní stát Bolívie',

        // 
        'Bosnia and Herzegovina'
        => 'Bosna a Hercegovina',

        // 
        'Botswana'
        => 'Botswana',

        // 
        'Bouvet Island'
        => 'Bouvetův ostrov',

        // 
        'Brazil'
        => 'Brazílie',

        // 
        'British Indian Ocean Territory'
        => 'Britské území v Indickém oceánu',

        // 
        'Brunei Darussalam'
        => 'Sultanát Brunej',

        // 
        'Bulgaria'
        => 'Bulharsko',

        // 
        'Burkina Faso'
        => 'Burkina Faso',

        // 
        'Burundi'
        => 'Burundi',

        // 
        'Calendar'
        => 'Kalendář',

        // 
        'Cambodia'
        => 'Kambodža',

        // 
        'Cameroon'
        => 'Kamerun',

        // 
        'Canada'
        => 'Kanada',

        // 
        'Canary Islands'
        => 'Kanárské Ostrovy',

        // 
        'Cape Verde'
        => 'Kapverdy',

        // 
        'Cayman Islands'
        => 'Kajmanské ostrovy',

        // 
        'Central African Republic'
        => 'Středoafrická republika',

        // 
        'Chad'
        => 'Čad',

        // 
        'Check if you agree.'
        => 'Pokud souhlasíte, zaškrtněte.',

        // 
        'Chile'
        => 'Chile',

        // 
        'China'
        => 'Čína',

        // 
        'Christmas Island'
        => 'Vánoční ostrov',

        // 
        'Christmas Island (Australia)'
        => 'Vánoční ostrov (Austrálie)',

        // 
        'Click column header to reverse sort order.'
        => 'Kliknutím na záhlaví sloupce změníte pořadí. ',

        // 
        'Click column header to sort.'
        => 'Kliknutím na záhlaví sloupce setřídíte. ',

        // 
        'Cocos (Keeling) Islands'
        => 'Kokosové ostrovy (též Keelingovy ostrovy)',

        // 
        'Cocos Island'
        => 'Kokosový ostrov',

        // 
        'Colombia'
        => 'Kolumbie',

        // 
        'Comoros'
        => 'Komorský svaz',

        // 
        'Congo, the Democratic Republic of the'
        => 'Demokratická republika Kongo',

        // 
        'Congo, the Republic of'
        => 'Republika Kongo',

        // 
        'Cook Islands'
        => 'Cookovy ostrovy',

        // 
        'Corsica'
        => 'Korsika',

        // 
        'Costa Rica'
        => 'Kostarika',

        // 
        'Cote d\'Ivoire'
        => 'Pobřeží slonoviny',

        // 
        'Croatia'
        => 'Chorvatsko',

        // 
        'Cuba'
        => 'Kuba',

        // 
        'Cyprus'
        => 'Kypr',

        // 
        'Czech Republic'
        => 'Česká republika',

        // 
        'December'
        => 'Prosinec',

        // 
        'Denmark'
        => 'Dánsko',

        // 
        'Djibouti'
        => 'Džibutsko',

        // 
        'Dominica'
        => 'Dominika',

        // 
        'Dominican Republic'
        => 'Dominikánská Republika',

        // 
        'Ecuador'
        => 'Ekvádor',

        // 
        'Egypt'
        => 'Egypt',

        // 
        'El Salvador'
        => 'El Salvador',

        // 
        'Enter \'{$arg[1]}\' here.'
        => 'Zadejte zde \'{$arg[1]}\'.',

        // 
        'Enter a date like month/day/year.'
        => 'Zadejte datum ve tvaru den/měsíc/rok.',

        // 
        'Enter your text here.'
        => 'Svůj text zadejte zde.',

        // 
        'Equatorial Guinea'
        => 'Rovníková Guinea',

        // 
        'Eritrea'
        => 'Eritrea',

        // 
        'Estonia'
        => 'Estonsko',

        // 
        'Ethiopia'
        => 'Etiopie',

        // 
        'Falkland Islands'
        => 'Falklandy',

        // 
        'Falkland Islands (Malvinas)'
        => 'Falklandy (Malvíny)',

        // 
        'Faroe Islands'
        => 'Faerské ostrovy',

        // 
        'February'
        => 'Únor',

        // 
        'Fiji'
        => 'Fidži',

        // 
        'Finland'
        => 'Finsko',

        // 
        'France'
        => 'Francie',

        // 
        'French Guiana'
        => 'Francouzská Guyana',

        // 
        'French Polynesia'
        => 'Francouzská Polynésie',

        // 
        'French Southern Territories'
        => 'Francouzská území v jižním Indickém oceánu',

        // 
        'Friday'
        => 'Pátek',

        // 
        'Gabon'
        => 'Gabon',

        // 
        'Gambia'
        => 'Gambie',

        // 
        'Georgia'
        => 'Gruzie',

        // 
        'Germany'
        => 'Německo',

        // 
        'Ghana'
        => 'Ghana',

        // 
        'Gibraltar'
        => 'Gibraltar',

        // 
        'Go to bottom'
        => 'Přejít na konec',

        // 
        'Go to top'
        => 'Přejít nahoru',

        // 
        'Greece'
        => 'Řecko',

        // 
        'Greenland'
        => 'Grónsko',

        // 
        'Grenada'
        => 'Grenada',

        // 
        'Guadeloupe'
        => 'Guadeloupe',

        // 
        'Guam'
        => 'Guam',

        // 
        'Guatemala'
        => 'Guatemala',

        // 
        'Guinea'
        => 'Guinea',

        // 
        'Guinea-Bissau'
        => 'Guinea-Bissau',

        // 
        'Guyana'
        => 'Guyana',

        // 
        'Haiti'
        => 'Haiti',

        // 
        'Heard Island and McDonald Islands'
        => 'Heardův ostrov a McDonaldovy ostrovy',

        // 
        'Holy See (Vatican City State)'
        => 'Svatý stolec Městský stát Vatikán)',

        // 
        'Honduras'
        => 'Honduras',

        // 
        'Hong Kong'
        => 'Hong Kong',

        // 
        'Hungary'
        => 'Maďarsko',

        // 
        'Iceland'
        => 'Island',

        // 
        'India'
        => 'Indie',

        // 
        'Indonesia'
        => 'Indonésie',

        // 
        'Iran, Islamic Republic of'
        => 'Íránská islámská republika',

        // 
        'Iraq'
        => 'Irák',

        // 
        'Ireland'
        => 'Irsko',

        // 
        'Israel'
        => 'Izrael',

        // 
        'Italy'
        => 'Itálie',

        // 
        'Jamaica'
        => 'Jamaica',

        // 
        'January'
        => 'Leden',

        // 
        'Japan'
        => 'Japonsko',

        // 
        'Jordan'
        => 'Jordán',

        // 
        'July'
        => 'Červenec',

        // 
        'June'
        => 'Červen',

        // 
        'Kazakhstan'
        => 'Kazachstán',

        // 
        'Kenya'
        => 'Keňa',

        // 
        'Kiribati'
        => 'Republika Kiribati',

        // 
        'Korea, Republic of'
        => 'Korejská republika',

        // 
        'Kosovo'
        => 'Kosovo',

        // 
        'Kuwait'
        => 'Kuvajt',

        // 
        'Kyrgyzstan'
        => 'Kyrgyzstán',

        // 
        'Lao People\'s Democratic Republic'
        => 'Laoská lidově demokratická republika',

        // 
        'Latvia'
        => 'Lotyšsko',

        // 
        'Lebanon'
        => 'Libanon',

        // 
        'Lesotho'
        => 'Království Lesotho',

        // 
        'Liberia'
        => 'Libérie',

        // 
        'Libyan Arab Jamahiriya'
        => 'Libye',

        // 
        'Liechtenstein'
        => 'Lichtenštejnsko',

        // 
        'Lithuania'
        => 'Litva',

        // 
        'Luxembourg'
        => 'Lucembursko',

        // 
        'Macao'
        => 'Macao',

        // 
        'Macedonia, the former Yugoslav Republic of'
        => 'Bývalá jugoslávská republika Makedonie',

        // 
        'Madagascar'
        => 'Madagaskar',

        // 
        'Madeira'
        => 'Madeira',

        // 
        'Malawi'
        => 'Malawi',

        // 
        'Malaysia'
        => 'Malajsie',

        // 
        'Maldives'
        => 'Maledivy',

        // 
        'Mali'
        => 'Mali',

        // 
        'Malta'
        => 'Malta',

        // 
        'March'
        => 'Březen',

        // 
        'Marshall Islands'
        => 'Marshallovy ostrovy',

        // 
        'Martinique'
        => 'Martinik',

        // 
        'Mauritania'
        => 'Mauritánie',

        // 
        'Mauritius'
        => 'Mauricius',

        // 
        'May'
        => 'Květen',

        // 
        'Mayotte'
        => 'Mayotte',

        // 
        'Mexico'
        => 'Mexiko',

        // 
        'Micronesia'
        => 'Mikronésie',

        // 
        'Micronesia, Federated States of'
        => 'Federativní státy Mikronésie',

        // 
        'Missing upload file'
        => 'Soubor pro nahrání chybí',

        // 
        'Moldova, Republic of'
        => 'Moldavská republika',

        // 
        'Monaco'
        => 'Monacké knížectví',

        // 
        'Monday'
        => 'Pondělí
',

        // 
        'Mongolia'
        => 'Mongolsko',

        // 
        'Montenegro'
        => 'Černá Hora',

        // 
        'Montserrat'
        => 'Montserrat',

        // 
        'Morocco'
        => 'Maroko',

        // 
        'Mozambique'
        => 'Mosambik',

        // 
        'Myanmar'
        => 'Myanmar',

        // 
        'Namibia'
        => 'Namibie',

        // 
        'Nauru'
        => 'Nauru',

        // 
        'Nepal'
        => 'Nepál',

        // 
        'Netherlands'
        => 'Nizozemsko',

        // 
        'Netherlands Antilles'
        => 'Nizozemské Antily',

        // 
        'New Caledonia'
        => 'Nová Kaledonie',

        // 
        'New Zealand'
        => 'Nový Zéland',

        // 
        'Nicaragua'
        => 'Nikaragua',

        // 
        'Niger'
        => 'Niger',

        // 
        'Nigeria'
        => 'Nigérie',

        // 
        'Niue'
        => 'Niue',

        // 
        'None'
        => 'Žádný',

        // 
        'Norfolk Island'
        => 'Norfolk',

        // 
        'Northern Mariana Islands'
        => 'Severní Mariánské ostrovy',

        // 
        'Norway'
        => 'Norsko',

        // 
        'November'
        => 'Listopad',

        // 
        'October'
        => 'Říjen',

        // 
        'Oman'
        => 'Omán',

        // 
        'Page down'
        => 'Stránku dolů',

        // 
        'Page up'
        => 'Stránku nahoru',

        // 
        'Pakistan'
        => 'Pákistán',

        // 
        'Palau'
        => 'Palauská republika',

        // 
        'Palestinian Territory, Occupied'
        => 'Palestinská okupovaná území',

        // 
        'Panama'
        => 'Panama',

        // 
        'Papua New Guinea'
        => 'Papua-Nová Guinea',

        // 
        'Paraguay'
        => 'Paraguay',

        // 
        'Peru'
        => 'Peru',

        // 
        'Philippines'
        => 'Filipíny',

        // 
        'Pitcairn'
        => 'Pitcairnovy ostrovy',

        // 
        'Please enter a ZIP code her.'
        => 'Zde prosím zadejte PSČ.',

        // 
        'Please enter a digit string here.'
        => 'Zde prosím zadejte čiselnou řadu.',

        // 
        'Please enter a natural number here.'
        => 'Zde prosím zadejte předčíslí.',

        // 
        'Please enter a non-empty string here, minimum {$arg[1]} chars.'
        => 'Prosím, nenechte prázdné. Zadejte minimálně {$arg[1]} znaků.  ',

        // 
        'Please enter a non-empty string here.'
        => 'Prosím, nenechte prázdné.',

        // 
        'Please enter a valid date.'
        => 'Zadejte prosím platné datum.',

        // 
        'Please enter a valid email address here.'
        => 'Zde prosím zadejte platnou e-mailovou adresu.',

        // 
        'Please enter only IP addresses here.'
        => 'Zde prosím zadejte pouze IP adresy.',

        // 
        'Please enter only telephone numbers here.'
        => 'Zde prosím zadejte pouze telefonní čísla.',

        // 
        'Please select at least one of the choices!'
        => 'Vvyberte prosím alespoň jednu z možností!',

        // 
        'Please select one of the choices!'
        => 'Vyberte prosím jednu z možností!',

        // 
        'Poland'
        => 'Polsko',

        // 
        'Portugal'
        => 'Portugalsko',

        // 
        'Puerto Rico'
        => 'Portoriko',

        // 
        'Qatar'
        => 'Katar',

        // 
        'Retyped password does not match your first password.'
        => 'Zopakované helso neodpovídá vašému prvnímu zadání. ',

        // 
        'Reunion'
        => 'Réunion',

        // 
        'Romania'
        => 'Rumunsko',

        // 
        'Russian Federation'
        => 'Ruská Federace',

        // 
        'Rwanda'
        => 'Rwanda',

        // 
        'Saint Helena, Ascension and Tristan da Cunha'
        => 'Svatá Helena, Ascension a Tristan da Cunha ',

        // 
        'Saint Kitts and Nevis'
        => 'Svatý Kryštof a Nevis',

        // 
        'Saint Lucia'
        => 'Svatá Lucie',

        // 
        'Saint Martin (French part)'
        => 'Svatý Martin (Francouzská část)',

        // 
        'Saint Pierre and Miquelon'
        => 'Saint-Pierre a Miquelon',

        // 
        'Saint Vincent and the Grenadines'
        => 'Svatý Vincenc a Grenadiny',

        // 
        'Samoa'
        => 'Samoa',

        // 
        'San Marino'
        => 'Republika San Marino',

        // 
        'Sao Tome and Principe'
        => 'Svatý Tomáš a Princův ostrov',

        // 
        'Saturday'
        => 'Sobota',

        // 
        'Saudi Arabia'
        => 'Saúdská Arábie',

        // 
        'Select \'{$arg[1]}\' here.'
        => 'Vyberte \'$ 1\' zde.',

        // 
        'Select a valid country'
        => 'Vyberte existujicí stát',

        // 
        'Senegal'
        => 'Senegal',

        // 
        'September'
        => 'Září',

        // 
        'Serbia'
        => 'Srbsko',

        // 
        'Seychelles'
        => 'Seychely',

        // 
        'Show current month'
        => 'Zobrazit aktuální měsíc',

        // 
        'Sierra Leone'
        => 'Sierra Leone',

        // 
        'Singapore'
        => 'Singapur',

        // 
        'Slovakia'
        => 'Slovensko',

        // 
        'Slovenia'
        => 'Slovinsko',

        // 
        'Solomon Islands'
        => 'Šalamounovy ostrovy',

        // 
        'Somalia'
        => 'Somálsko',

        // 
        'South Africa'
        => 'Jižní Afrika',

        // 
        'South Georgia and the South Sandwich Islands'
        => 'Jižní Georgie a Jižní Sandwichovy ostrovy',

        // 
        'South Korea'
        => 'Jižní Korea',

        // 
        'Spain'
        => 'Španělsko',

        // 
        'Sri Lanka'
        => 'Srí Lanka',

        // 
        'Sudan'
        => 'Súdán',

        // 
        'Sunday'
        => 'Neděle',

        // 
        'Suriname'
        => 'Surinam',

        // 
        'Svalbard and Jan Mayen'
        => 'Špicberky a Jan Mayen',

        // 
        'Swaziland'
        => 'Svazijsko',

        // 
        'Sweden'
        => 'Švédsko',

        // 
        'Switzerland'
        => 'Švýcarsko',

        // 
        'Syrian Arab Republic'
        => 'Syrská arabská republika',

        // 
        'Taiwan'
        => 'Taiwan',

        // 
        'Tajikistan'
        => 'Tádžikistán',

        // 
        'Tanzania, United Republic of'
        => 'Tanzanie',

        // 
        'Thailand'
        => 'Thajsko',

        // 
        'Thursday'
        => 'Čtvrtek',

        // 
        'Timor-Leste'
        => 'Východní Timor',

        // 
        'Togo'
        => 'Togo',

        // 
        'Tokelau'
        => 'Tokelau',

        // 
        'Tonga'
        => 'Tonga',

        // 
        'Trinidad and Tobago'
        => 'Trinidad a Tobago',

        // 
        'Tuesday'
        => 'Úterý',

        // 
        'Tunisia'
        => 'Tunisko',

        // 
        'Turkey'
        => 'Turecko',

        // 
        'Turkmenistan'
        => 'Turkmenistán',

        // 
        'Turks and Caicos Islands'
        => 'Turks a Caicos',

        // 
        'Tuvalu'
        => 'Tuvalu',

        // 
        'UK'
        => 'Velká Británie',

        // 
        'Uganda'
        => 'Uganda',

        // 
        'Ukraine'
        => 'Ukrajina',

        // 
        'United Arab Emirates'
        => 'Spojené arabské emiráty',

        // 
        'United States'
        => 'Spojené státy americké',

        // 
        'United States Minor Outlying Islands'
        => 'Menší odlehlé ostrovy Spojených států amerických',

        // 
        'Uruguay'
        => 'Uruguay ',

        // 
        'Uzbekistan'
        => 'Uzbekistán',

        // 
        'Vanuatu'
        => 'Vanuatu',

        // 
        'Venezuela, Bolivarian Republic of'
        => 'Bolívarovská republika Venezuela',

        // 
        'Vietnam'
        => 'Vietnam',

        // 
        'Virgin Islands, British'
        => 'Britské Panenské ostrovy ',

        // 
        'Virgin Islands, U.S.'
        => 'Americké Panenské ostrovy',

        // 
        'Wallis and Futuna'
        => 'Wallis a Futuna',

        // 
        'Wednesday'
        => 'Středa',

        // 
        'Western Sahara'
        => 'Západní Sahara',

        // 
        'Year'
        => 'Rok',

        // 
        'Yemen'
        => 'Jemen',

        // 
        'You need to confirm this.'
        => 'Musíte potvrdit.',

        // 
        'Your browser can\'t show embedded frames, but you can open the embedded site by following <a href=\'{$arg[1]}\' target=\'_blank\'>this link</a>'
        => 'Váš prohlížeč nemůže zobrazit vložené ramečky, ale vloženou stránku můžete otevřit pomocí <a href=\'{$arg[1]}\' target=\'_blank\'>this link</a>',

        // 
        'Zambia'
        => 'Zambie',

        // 
        'Zimbabwe'
        => 'Zimbabwe',

        // 
        '\'{$arg[1]}\' doesn\'t look like a valid email address!'
        => '\'{$arg[1]}\'nevypadá jako platná e-mailova adresa!',

        // 
        /* date format, args are 1: year, 2: month, 3: day */
        '{$arg[2]}/{$arg[3]}/{$arg[1]}'
        => '{$arg[3]}.{$arg[2]}.{$arg[1]}',

        // 
        'Add new line'
        => 'Přidat nový řádek',

        // 
        'Enter your password'
        => 'Zadejte své heslo',

        // 
        'Enter your search'
        => 'Zadejte hledané údaje ',

        // 
        'Remove this line'
        => 'Odebrat tento řádek',

        // 
        'Saint Barthélemy'
        => 'Svatý Bartoloměj',

        // 
        'e.g.'
        => 'např.',

    );
}

?>